#!/bin/sh
# autopkgtest check: Build and run a simple program against CSFML

set -e

# Require $ADTTMP for temporary build files
if [ -z "$ADTTMP" ]
then
	echo "Required envvar \"$ADTTMP\"is not set" >&2
	exit 1
fi

cp debian/tests/csfml_test.c "$ADTTMP"
cd "$ADTTMP"

# Build programs
gcc -Wall -Werror -o csfml_test1 csfml_test.c -lcsfml-graphics -lcsfml-window -lcsfml-audio -lcsfml-network -lcsfml-system
echo "build1: OK"
gcc -Wall -Werror -o csfml_test2 csfml_test.c -lcsfml-network -lcsfml-system
echo "build2: OK"

# Run them
./csfml_test1
echo "run1: OK"
./csfml_test2
echo "run2: OK"
